Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.fs
Class FSQuery

    java.lang.Object
      org.basex.query.fs.FSQuery

    public final class FSQuery

extends java.lang.Object

This class simulates some file system operations.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Constructor Summary
`FSQuery(Data d)` Simplified Constructor.

Method Summary
`void` | `du(java.lang.String path, PrintOutput out)` Performs a du command.
`void` | `ls(java.lang.String path, PrintOutput out)` Performs an ls command.
`void` | `pwd(PrintOutput out)` The current working directory as set by the cd command.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSQuery

    public FSQuery(Data d)

  Simplified Constructor.

  Parameters:
    `d` - data reference

Method Detail

### du

    public void du(java.lang.String path,
                   PrintOutput out)
            throws java.io.IOException

  Performs a du command.

  Parameters:
    `path` - directory path
    `out` - output stream
  Throws:
    `java.io.IOException` - in case of problems with the PrintOutput

### ls

    public void ls(java.lang.String path,
                   PrintOutput out)
            throws java.io.IOException

  Performs an ls command.

  Parameters:
    `path` - directory path
    `out` - output stream
  Throws:
    `java.io.IOException` - in case of problems with the PrintOutput

### pwd

    public void pwd(PrintOutput out)
             throws java.io.IOException

  The current working directory as set by the cd command.

  Parameters:
    `out` - output stream
  Throws:
    `java.io.IOException` - in case of problems with the PrintOutput

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD